PETSc version 3.15.5
Fix/Edit manual page

# DMPlexPointLocalRead

return read access to a point in local array

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPointLocalRead(DM dm,PetscInt point,const PetscScalar *array,void *ptr)

Not Collective

### Input Arguments

| dm | - DM defining topological space
| point | - topological point
| array | - array to index into

### Output Arguments

| ptr | - address of read reference to point data, type generic so user can place in structure

### Note

### A common usage when data sizes are known statically

     const struct { PetscScalar foo,bar,baz; } *ptr;

     DMPlexPointLocalRead(dm,point,array,&ptr);

     x = 2*ptr->foo + 3*ptr->bar + 5*ptr->baz;

### See Also

DMGetLocalSection(), PetscSectionGetOffset(), PetscSectionGetDof(), DMPlexGetPointLocal(), DMPlexPointGlobalRead()

### Level

intermediate

### Location

src/dm/impls/plex/plexpoint.c

### Examples

src/dm/impls/plex/tutorials/ex6.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex52.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages